package com.decoding.twodtg.barcodereader2dtg;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class ToSiteActivity extends Activity
{
  private TextView alarmView;

  @Override
  protected void onCreate(Bundle savedInstanceState)
  {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_to_site);

    alarmView = (TextView) this.findViewById(R.id.alarmView);

    Bundle b = getIntent().getExtras();
    if(b != null)
      if(b.getBoolean("trialEnd"))
      {
        alarmView.setText("Evaluation expired!");
      }
  }

  public void UrlClick(View v)
  {
    Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(IntroActivity.SiteUrl));
    startActivity(browserIntent);
  }
}
